MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031583Open CASCADE[OCCT] OCCT:Visualizationpublic2020-05-27 20:442020-07-16 16:54
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031583: Visualization, OpenGl_Context - load OpenGL ES 3.0 functions
DescriptionIt is desired fetching complete set of OpenGL ES 3.0 functions.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0031477verifiedbugmaster Visualization, TKOpenGl - fetch/wrap getBufferSubData() function from WebGL 2.0 
related to 0031668verifiedbugmaster Visualization - WebGL sample doesn't work on Emscripten 1.39 
child of 0030600verifiedbugmaster Visualization, TKOpenGl - include GLES3/gl3.h instead of GLES2/gl2.h 

-  Notes
(0092364)
git (administrator)
2020-05-27 20:45

Branch CR31583 has been created by kgv.

SHA-1: 3bf2d77de29461d402a37b37ca3570373f2e8cb1


Detailed log of new commits:

Author: kgv
Date: Wed May 27 20:46:34 2020 +0300

    0031583: Visualization, OpenGl_Context - load OpenGL ES 3.0 functions
(0092365)
git (administrator)
2020-05-27 21:06

Branch CR31583 has been updated forcibly by kgv.

SHA-1: 3571235fee42d07b8e2cce0e696e36e06c24a0ac
(0092366)
git (administrator)
2020-05-27 21:51

Branch CR31583 has been updated forcibly by kgv.

SHA-1: 67915a865091dcd434265e912721e6b8ecfd334b
(0092367)
git (administrator)
2020-05-27 21:52

Branch CR31583 has been updated forcibly by kgv.

SHA-1: fd9d831cedc1b2c4cf902937d8019f59e8ae6cad
(0092368)
git (administrator)
2020-05-27 22:07

Branch CR31583 has been updated forcibly by kgv.

SHA-1: 0c23d0ccaad9388ad2f6010389d862a986bcbf67
(0092369)
git (administrator)
2020-05-27 22:10

Branch CR31583 has been updated forcibly by kgv.

SHA-1: ad48976953fcc7f70be7c3867f71109b48a28ab0
(0092370)
git (administrator)
2020-05-27 22:14

Branch CR31583 has been updated forcibly by kgv.

SHA-1: 97fb16bc41888c541d49fb343907cc8b357b3e1a
(0092371)
git (administrator)
2020-05-27 22:16

Branch CR31583 has been updated forcibly by kgv.

SHA-1: 825abb732039e19dac2955f9b718abef7276dd1b
(0092372)
git (administrator)
2020-05-27 22:18

Branch CR31583 has been updated forcibly by kgv.

SHA-1: 33d818edd821ff97321a0a6d57af6567ac0e1f8b
(0092373)
git (administrator)
2020-05-27 22:19

Branch CR31583 has been updated forcibly by kgv.

SHA-1: d0b033660f32b1335fea9f184dfa1c5849cd30d9
(0092374)
git (administrator)
2020-05-27 22:54

Branch CR31583 has been updated forcibly by kgv.

SHA-1: 04b42f94cfe373ce23a3b827848e19112098b7d9
(0092377)
kgv (developer)
2020-05-28 00:53

Patch is ready for review in OCCT branch CR31583.

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31583-master-KGV/ [^]
(0092378)
osa (developer)
2020-05-28 09:35

The patch was reviewed without remarks
(0092399)
bugmaster (administrator)
2020-05-29 09:50

Combination -
OCCT branch : WEEK-22
master SHA - 872f98d9ef76db68b45bb744a6f56788f134d9e7
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-22 SHA - 0948de4c2124aea8b36e4e2373bac22c08a4c7dc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17185.300000000076 / 17188.26000000018 [-0.02%]
Products
Total CPU difference: 11192.350000000066 / 11217.810000000067 [-0.23%]
Windows-64-VC14:
OCCT
Total CPU difference: 18662.4375 / 18659.515625 [+0.02%]
Products
Total CPU difference: 12991.78125 / 13006.1875 [-0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092410)
git (administrator)
2020-05-30 12:26

Branch CR31583 has been deleted by inv.

SHA-1: 04b42f94cfe373ce23a3b827848e19112098b7d9

- Related Changesets
occt: master 872f98d9
Timestamp: 2020-05-27 17:46:34
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031583: Visualization, OpenGl_Context - load OpenGL ES 3.0 functions

OpenGl_Context now retrieves complete functions sets of OpenGL ES 3.0, 3.1 and 3.2.
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_ArbIns.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore30.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore31.hxx Diff ] File ]
add - src/OpenGl/OpenGl_GLESExtensions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-05-27 20:44 kgv New Issue
2020-05-27 20:44 kgv Assigned To => kgv
2020-05-27 20:45 git Note Added: 0092364
2020-05-27 21:06 git Note Added: 0092365
2020-05-27 21:51 git Note Added: 0092366
2020-05-27 21:52 git Note Added: 0092367
2020-05-27 22:07 git Note Added: 0092368
2020-05-27 22:10 git Note Added: 0092369
2020-05-27 22:14 git Note Added: 0092370
2020-05-27 22:16 git Note Added: 0092371
2020-05-27 22:18 git Note Added: 0092372
2020-05-27 22:19 git Note Added: 0092373
2020-05-27 22:54 git Note Added: 0092374
2020-05-28 00:53 kgv Note Added: 0092377
2020-05-28 00:53 kgv Assigned To kgv => osa
2020-05-28 00:53 kgv Status new => resolved
2020-05-28 01:17 kgv Relationship added child of 0030600
2020-05-28 09:35 osa Note Added: 0092378
2020-05-28 09:35 osa Assigned To osa => bugmaster
2020-05-28 09:35 osa Status resolved => reviewed
2020-05-28 20:39 kgv Relationship added parent of 0031477
2020-05-29 09:50 bugmaster Note Added: 0092399
2020-05-29 09:50 bugmaster Status reviewed => tested
2020-05-29 09:53 bugmaster Test case number => Not required
2020-05-30 12:13 bugmaster Changeset attached => occt master 872f98d9
2020-05-30 12:13 bugmaster Status tested => verified
2020-05-30 12:13 bugmaster Resolution open => fixed
2020-05-30 12:26 git Note Added: 0092410
2020-07-16 16:54 kgv Relationship added related to 0031668


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker